Bug 885615 - [abrt] puddletag-1.0.1-1.fc17: translations.py:34:__mod__:ValueError: unsupported format character ':' (0x3a) at index 19
Summary: [abrt] puddletag-1.0.1-1.fc17: translations.py:34:__mod__:ValueError: unsuppo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: puddletag
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5605cb0c543c58ebe459cc7b188...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 08:48 UTC by Danil Kolobaev
Modified: 2013-08-15 03:02 UTC (History)
1 user (show)

Fixed In Version: puddletag-1.0.2-0.1.rc1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 02:48:42 UTC
Type: ---


Attachments (Terms of Use)
File: environ (1.55 KB, text/plain)
2012-12-10 08:48 UTC, Danil Kolobaev
no flags Details
File: executable (18 bytes, text/plain)
2012-12-10 08:48 UTC, Danil Kolobaev
no flags Details
File: core_backtrace (835 bytes, text/plain)
2012-12-10 08:48 UTC, Danil Kolobaev
no flags Details
File: smolt_data (3.16 KB, text/plain)
2012-12-10 08:48 UTC, Danil Kolobaev
no flags Details

Description Danil Kolobaev 2012-12-10 08:48:18 UTC
Version-Release number of selected component:
puddletag-1.0.1-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/puddletag
kernel:         3.6.8-2.fc17.x86_64

backtrace:
:translations.py:34:__mod__:ValueError: unsupported format character ':' (0x3a) at index 19
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/puddlestuff/mainwin/funcs.py", line 454, in update_status
:    newfilename = functions.move(tag, pattern, tag, state=state.copy())
:  File "/usr/lib/python2.7/site-packages/puddlestuff/functions.py", line 425, in move
:    fn = tag_to_filename(p_pattern, m_tags, r_tags, ext, state)
:  File "/usr/lib/python2.7/site-packages/puddlestuff/functions.py", line 384, in tag_to_filename
:    encode_fn(safe_name(tf(subdirs[-1], tags, ext, state=state))))
:  File "/usr/lib/python2.7/site-packages/puddlestuff/findfunc.py", line 691, in tagtofilename
:    return parsefunc(pattern, tags, state=state) + os.path.extsep + tags["__ext"]
:  File "/usr/lib/python2.7/site-packages/puddlestuff/findfunc.py", line 422, in parsefunc
:    func_parsed = run_format_func(func[0], func[1:], m_audio, s_audio)
:  File "/usr/lib/python2.7/site-packages/puddlestuff/findfunc.py", line 290, in run_format_func
:    translate('Defaults', 'function does not exist.')))
:  File "/usr/lib/python2.7/site-packages/puddlestuff/translations.py", line 34, in __mod__
:    return UnicodeMod(unicode.__mod__(self, other))
:ValueError: unsupported format character ':' (0x3a) at index 19
:
:Local variables in innermost frame:
:self: u'SYNTAX ERROR in $%1: %2'
:other: (u'anum', u'function does not exist.')

Comment 1 Danil Kolobaev 2012-12-10 08:48:38 UTC
Created attachment 660630 [details]
File: environ

Comment 2 Danil Kolobaev 2012-12-10 08:48:40 UTC
Created attachment 660631 [details]
File: executable

Comment 3 Danil Kolobaev 2012-12-10 08:48:43 UTC
Created attachment 660632 [details]
File: core_backtrace

Comment 4 Danil Kolobaev 2012-12-10 08:48:45 UTC
Created attachment 660633 [details]
File: smolt_data

Comment 5 Fedora End Of Life 2013-07-04 03:41:41 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora Update System 2013-08-05 12:14:32 UTC
puddletag-1.0.2-0.1.rc1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/puddletag-1.0.2-0.1.rc1.fc18

Comment 7 Fedora Update System 2013-08-05 12:14:51 UTC
puddletag-1.0.2-0.1.rc1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/puddletag-1.0.2-0.1.rc1.fc19

Comment 8 Fedora Update System 2013-08-06 00:13:14 UTC
Package puddletag-1.0.2-0.1.rc1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puddletag-1.0.2-0.1.rc1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14253/puddletag-1.0.2-0.1.rc1.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-08-15 02:48:42 UTC
puddletag-1.0.2-0.1.rc1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-08-15 03:02:53 UTC
puddletag-1.0.2-0.1.rc1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.